Subject: Re: bug#54242: Emacs can't display animated webp images

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 09 Apr 2022 18:45:22 +0200

I've now got basic webp animation working, and it seems to have
acceptable speed (it looks like I'll be able to reuse the general image
cache to avoid quadratic behaviour as we have in gif_load).

I now just have to program up the more subtle bits of how animated
frames are to be combined, and we should be OK.

I spent much of the time trying to figure out why my code was
segfaulting...  but it turns out that the webp_load function we have
today on the trunk is also segfaulting with the images I'm testing with.
:-/  So that'll also be fixed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no